Requirements


iOS

  • iOS 8.0 and above.
  • Xcode 9.0 and above.



Android

  • minSdkVersion version 15 and above.
  • Your App Version must be targeted for ICS (4.0.1) and above
  • Pointzi supports ContentView tip placement. RootView support is planned for an upcoming release.
  • Pointzi does not support simple Apps with the following construct:
public class MainActivity extends FragmentActivity {
...
}

instead use

public class MainActivity extends AppCompatActivity {
...
}

SDK Sizes

Sometimes people ask us how much Pointzi impacts App Size. The answer is not much!


iOS

The Pointzi iOS lib increases your App by only 3.9M (approx). 

At compile time it contains 4 architectures:

  • armv7
  • arm64
  • i386
  • -x86_64

First two are for devices and last two are for simulator. Our SDK must contain all the possible architectures so that customer can use it anywhere. When a customer packages App, the App will only increase on required architectures.



Android

The Pointzi Android lib increases your App by less than 1M.